$(document).ready(function () {
    $("#textResult").addClass('invisible');
    $("#tableResult").addClass('invisible');
    $("#loading").addClass('invisible');
    $.ajaxSetup({
        beforeSend: function () {
            $("#loading").removeClass('invisible');
        },
        complete: function () {
            $("#loading").addClass('invisible');
        }
    });
    $("#inputForm input[type='text']").keyup(function (event) {
        if (event.keyCode === 13) {
            $("#buttonSearch").click();
        }
    });
});

function search() {
    let updatedText = $("#updatedText").val();
    let errorText = $("#errorText").val();
    let emptyText = $("#emptyText").val();
    let foundText = $("#foundText").val();
    let uniqueText = $("#uniqueText").val();
    let invalidInputText = $("#invalidInputText").val();
    if (!$("#inputForm #inputMunicipality").val().trim() && !$("#inputForm #inputPostleitzahl").val().trim() &&
        !$("#inputForm #inputVillage").val().trim()) {
        $("#textResult").removeClass('invisible');
        $("#textResult").text(invalidInputText);
        return;
    }
    $.ajax({
        type: "POST",
        url: $("#wizardEndpoint").val(),
        data: $("#inputForm").serialize()
    }).done(function (data, textStatus, jqXHR) {
        if (data["resultCount"] === 1) {
            $("#textResult").removeClass('invisible');
            $("#textResult").text(uniqueText);
            $("#tableResult tbody").empty();
            $("#tableResult").addClass('invisible');
            $("#inputForm #inputPostleitzahl").val(data["results"][0]["postleitzahl"]);
            $("#inputForm #inputMunicipality").val(data["results"][0]["municipality"]);
            $("#inputForm #inputVillage").val(data["results"][0]["village"]);
            $("#inputForm #inputStreet").val(data["results"][0]["street"]);
            $("#inputForm #inputNumber").val(data["results"][0]["number"]);
            return;
        }

        if (data["resultCount"] === 0) {
          $("#textResult").removeClass('invisible');
          $("#textResult").text(emptyText);
        } else {
          $("#textResult").removeClass('invisible');
          $("#textResult").text(foundText.replace("{0}", data["resultCount"]));
        }
        $("#tableResult").removeClass('invisible');
        $("#tableResult tbody").empty();
        $.each(data.results, function (i, output) {
            $("#tableResult tbody")
                .append($("<tr>")
                    .append($("<td>").text(output["postleitzahl"] !== null ? output["postleitzahl"] : "").css("text-align", "right"))
                    .append($("<td>").text(output["municipality"] !== null ? output["municipality"] : ""))
                    .append($("<td>").text(output["village"] !== null ? output["village"] : ""))
                    .append($("<td>").text(output["street"] !== null ? output["street"] : ""))
                    .append($("<td>").text(output["number"] !== null ? output["number"] : "").css("text-align", "right"))
                    .css("cursor", "pointer").click(function () {
                        $("#inputForm #inputPostleitzahl").val($(this).children("td:nth-child(1)").text());
                        $("#inputForm #inputMunicipality").val($(this).children("td:nth-child(2)").text());
                        $("#inputForm #inputVillage").val($(this).children("td:nth-child(3)").text());
                        $("#inputForm #inputStreet").val($(this).children("td:nth-child(4)").text());
                        $("#inputForm #inputNumber").val($(this).children("td:nth-child(5)").text());
                        $("#textResult").removeClass('invisible');
                        $("#textResult").text(updatedText);
                        search();
                    })
                );
        })
        if (data.results.length === 0) {
            $("#tableResult").addClass('invisible');
        }
    }).fail(function (jqXHR, textStatus, errorThrown) {
        $("#textResult").removeClass('invisible');
        $("#textResult").text(errorText);
    })
}

function clearInput() {
    $("#inputForm #inputPostleitzahl").val("");
    $("#inputForm #inputMunicipality").val("");
    $("#inputForm #inputVillage").val("");
    $("#inputForm #inputStreet").val("");
    $("#inputForm #inputNumber").val("");
    $("#textResult").addClass('invisible');
    $("#tableResult").addClass('invisible');
    $("#loading").addClass('invisible');
}
