# Externe Fehlercodes 

Der MS-Connector implementiert interne Fehlercodes für technisches Logging und externe FehlerCodes welche zur Rückgabe an den Benutzer / die Benutzerin, Service-Provider oder andere Applikationen gedacht sind. Diese Trennung zwischen internen und externen Fehlercodes ist ein maßgäblicher Sicherheitsaspekt um einem potentiellen Angreifer möglichst wenig Informationen über den internen Status preiszugeben. Dem zur Folge werden standardmäßig alle internen FehlerCodes, sofern nicht speziell behandelt, mit dem externen FehlerCode <i>9199</i> für <i>Allgemeiner interner Fehler</i> nach extern returniert.  Die nachfolgende Tabelle listet die aktuell speziell nach außen gemappted Fehlercodes.

### Fehlercodes

| *Externer <br>Fehlercode* | *Beschreibung*                                               |
| :------------------------ | ------------------------------------------------------------ |
| 1000                      | Der Anmeldeprozess konnte nicht vorgeführt werden da die Session unbekannt oder ungültig ist |
| 1001                      | Die zeitliche Gültigkeit des Anmeldeprozesses wurde überschritten |
|                           |                                                              |
|                           |                                                              |
| 1005                      | Abbruch durch den Benutzer                                   |
| 2000                      | Ausländischen eIDAS Knoten antwortet mit einem Fehler        |
| 2001                      | Antwort des ausländischen eIDAS Knoten konnte nicht erfolgreich verarbeitet werden |
| 2100                      | Ausländischen eIDAS Knoten antwortet mit einer Anmeldung in Vertretung welche aktuell noch nicht unterstützt wird |
| 2200                      | Der ausländische eIDAS Knoten unterstützt keine Anmeldung für private Service-Provider |
| 3000                      | Validierungsfehler während der Durchführung des Matching Prozesses |
| 3001                      | Matching auf Basis einer ID Austria Anmeldung führte zu einem Fehler |
| 3002                      | Matching auf Basis einer alternativen eIDAS Anmeldung führte zu einem Fehler |
| 3002                      | Matching auf Basis Adresssuche führte zu einem Fehler        |
| 3099                      | Allgemeiner Fehler im Matching Prozess                       |
|                           |                                                              |
| 3100                      | Fehler in Kommunikation mit dem Stammzahlenregister          |
| 3101                      | Fehler bei der Verarbeitung der Daten einer juristischten Person am ERsB oder UR |
| 3102                      | Fehler in der Kommunikaton mit dem ZMR                       |
| 3103                      | Fehler in der Kommunikation mit dem ERnP                     |
| 3104                      | Fehler in der Kommunikation mit dem ID Austria System        |
|                           |                                                              |
| 9101                      | Allgemeine Information zum Aufruf des MS-Connectors außerhalb eines Anmeldevorgangs |
| 9199                      | Allgemeiner interner Fehler                                  |

